### Type parameters

- #### A

### Hierarchy

- Future<A>
  - LiftFuture

### Implements

- Consumer<any>

## Index

### Constructors

- constructor

### Properties

- delivered
- dependencies
- f
- futures
- listeners
- occured
- value

### Methods

- chain
- listen
- map
- mapTo
- of
- push
- resolve
- subscribe
- lift
- of

## Constructors

### constructor

- new LiftFuture(f: Function, futures: Future<any>[]): LiftFuture

- Overwrites Future.constructor

  - Defined in Future.ts:105

  #### Parameters

  - ##### f: Function

  - ##### futures: Future<any>[]

  #### Returns LiftFuture

## Properties

### delivered

delivered: number = 0

- Defined in Future.ts:104

### dependencies

dependencies: number

- Defined in Future.ts:105

### f

f: Function

- Defined in Future.ts:106

### futures

futures: Future<any>[]

- Defined in Future.ts:106

### listeners

listeners: Consumer<A>[]

Inherited from Future.listeners

- Defined in Future.ts:17

### occured

occured: boolean

Inherited from Future.occured

- Defined in Future.ts:12

### value

value: A

Inherited from Future.value

- Defined in Future.ts:14

## Methods

### chain

- chain<B>(f: function): Future<B>

- Inherited from Future.chain

  - Defined in Future.ts:68

  #### Type parameters

  - #### B

  #### Parameters

  - ##### f: function

    - - (a: A): Future<B>

      - #### Parameters

        - ##### a: A

        #### Returns Future<B>

### listen

- listen(o: Consumer<A>): void

- Inherited from Future.listen

  - Defined in Future.ts:21

  #### Parameters

  - ##### o: Consumer<A>

  #### Returns void

### map

- map<B>(f: function): Future<B>

- Inherited from Future.map

  - Defined in Future.ts:44

  #### Type parameters

  - #### B

  #### Parameters

  - ##### f: function

    - - (a: A): B

      - #### Parameters

        - ##### a: A

        #### Returns B

  #### Returns Future<B>

### mapTo

- mapTo<B>(b: B): Future<B>

- Inherited from Future.mapTo

  - Defined in Future.ts:47

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Future<B>

### of

- of<B>(b: B): Future<B>

- Inherited from Future.of

  - Defined in Future.ts:55

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Future<B>

### push

- push(_: any): void

- Overwrites Future.push

  - Defined in Future.ts:113

  #### Parameters

  - ##### _: any

  #### Returns void

### resolve

- resolve(val: A): void

- Inherited from Future.resolve

  - Defined in Future.ts:34

  #### Parameters

  - ##### val: A

  #### Returns void

### subscribe

- subscribe(f: function): Subscribtion<A>

- Inherited from Future.subscribe

  - Defined in Future.ts:28

  #### Parameters

  - ##### f: function

    - - (a: A): void

      - #### Parameters

        - ##### a: A

        #### Returns void

  #### Returns Subscribtion<A>

### lift

- lift<T1, R>(f: function, m: Future<T1>): Future<R>
- lift<T1, T2, R>(f: function, m1: Future<T1>, m2: Future<T2>): Future<R>
- lift<T1, T2, T3, R>(f: function, m1: Future<T1>, m2: Future<T2>, m3: Future<T3>): Future<R>

- Inherited from Future.lift

  - Defined in Future.ts:58

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### f: function

    - - (t: T1): R

      - #### Parameters

        - ##### t: T1

        #### Returns R

  - ##### m: Future<T1>

  #### Returns Future<R>

- Inherited from Future.lift

  - Defined in Future.ts:59

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### f: function

    - - (t: T1, u: T2): R

      - #### Parameters

        - ##### t: T1

        - ##### u: T2

        #### Returns R

  - ##### m1: Future<T1>

  - ##### m2: Future<T2>

  #### Returns Future<R>

- Inherited from Future.lift

  - Defined in Future.ts:60

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### f: function

    - - (t1: T1, t2: T2, t3: T3): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        #### Returns R

  - ##### m1: Future<T1>

  - ##### m2: Future<T2>

  - ##### m3: Future<T3>

  #### Returns Future<R>

### of

- of<B>(b: B): Future<B>

- Inherited from Future.of

  - Defined in Future.ts:52

  #### Type parameters

  - #### B

  #### Parameters

  - ##### b: B

  #### Returns Future<B>

Generated using TypeDoc